<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>
        </ion-buttons>
        <ion-title>offer-details</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-slides pager="false" [options]="categorySlide" #slideone autoplay="3000">
        <ion-img [src]="offer.url"></ion-img>
    </ion-slides>

    <ion-grid class="ion-padding">
        <ion-row>
            <ion-col size="12">
                <h3><strong>{{offer.title}}</strong></h3>
                <ion-label color="dark">{{offer.city}}</ion-label>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col class="ion-text-justify ion-no-padding-top" size="12">
                <p>
                    {{offer.description}}
                </p>
            </ion-col>
        </ion-row>

        <h3>Categories</h3>
        <ion-row>
            <ion-col class="ion-no-padding" size="6">
                <ng-container *ngFor="let c of offer.categories">
                    <ion-badge color="primary">{{c}}</ion-badge>
                </ng-container>

            </ion-col>
        </ion-row>

        <h3>Contact the Hero</h3>
        <ion-row>
            <ion-col size="12">
                <ion-item lines="none">
                    <ion-label>Email</ion-label>
                    <ion-label class="ion-text-right">{{offer?.email}}</ion-label>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>

            <ion-col size="12">
                <ion-item>
                    <ion-textarea [(ngModel)]="message" placeholder="Message" rows="3"></ion-textarea>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-button (click)="sendMessage(offer.userId)" [disabled]="true"> Send Message</ion-button>
    </ion-grid>
</ion-content>
